Description

v.net.path is not considering the node cost variable.

QGIS 3.4.7

History

#1 - 2019-05-02 10:09 AM - Giovanni Manghi

- Subject changed from v.net.path is not considering the node cost variable to v.net.path is not considering the  

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

Can you more specific? Is the parameter missing from the tool GUI? What is the exact parameter name("node cost variable" is not listed here 

https://grass.osgeo.org/grass76/manuals/v.net.path.html)?

#2 - 2019-05-02 03:13 PM - Sergio Antonio

- File node cost.png added

Giovanni Manghi wrote:

Can you more specific? Is the parameter missing from the tool GUI? What is the exact parameter name("node cost variable" is not listed here 

https://grass.osgeo.org/grass76/manuals/v.net.path.html)?

This problem has been intermittent.

The given data complies with that requested by v.net.path tool (input vector line - arcs, center points, file containing star and end points, threshold for

containing centers, arc forward/both directions, arc backward direction, node cost). Other fields: default value.

More details:

a) The tool works well when I do not use "node cost".

b) The tool has failed when a new point is added to the existing ones using QGIS vector editing. It does not consider the cost of the new point.

c) From time to time, QGIS informs you that an error has occurred and that it will close. But, when I click OK the QGIS does not close. The v.net.path tool

terminates the calculations and creates the output file and layer.

d) Please note the figure.

#3 - 2019-05-02 03:33 PM - Giovanni Manghi

b) The tool has failed when a new point is added to the existing ones using QGIS vector editing. It does not consider the cost of the new point.
so if you load a layer, open v.net.path, use the layer as input it works,

if you load it, edit it, use it as input then the edited features are not taken into account,

correct?

#4 - 2019-05-02 04:55 PM - Sergio Antonio

Giovanni Manghi wrote:

b) The tool has failed when a new point is added to the existing ones using QGIS vector editing. It does not consider the cost of the new point.

so if you load a layer, open v.net.path, use the layer as input it works,

if you load it, edit it, use it as input then the edited features are not taken into account,

correct?

Yes. Correct.

#5 - 2019-05-02 05:32 PM - Giovanni Manghi

Yes. Correct.

what if you add to the project (again) the edited layer (and give it a different name) and use it in the tool?

#6 - 2019-05-02 09:50 PM - Sergio Antonio

Giovanni Manghi wrote:

Yes. Correct.

what if you add to the project (again) the edited layer (and give it a different name) and use it in the tool?

I followed your suggestions, but the results are inconclusive.

Sometimes it works well, but sometimes it does not.

Detail: All shape files (points and lines) were generated in QGIS 2.14.18.

Important: everything started working reasonably well when I created a NEW file (points.shp) in QGIS 3.4.7 to replace the original file from QGIS 2.14.18.

#7 - 2019-05-02 09:54 PM - Giovanni Manghi

Important: everything started working reasonably well when I created a NEW file (points.shp) in QGIS 3.4.7 to replace the original file from QGIS

2.14.18.
weird, but if true/confirmed (and I can't see why not) then it should really not be an issue of just this specific tool, maybe is a more general problem.

#8 - 2019-05-03 08:05 AM - Sergio Antonio

Giovanni Manghi wrote:

Important: everything started working reasonably well when I created a NEW file (points.shp) in QGIS 3.4.7 to replace the original file from QGIS

2.14.18.

weird, but if true/confirmed (and I can't see why not) then it should really not be an issue of just this specific tool, maybe is a more general problem.

Yes, very very strange, I have to admit.

On the other hand, version 3.x.x is getting very good, including the GRASS tools.

Please consider it resolved, at least for now. Thank you.

#9 - 2019-05-03 08:01 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files
